Package ghidra.trace.model.target.schema

# Class DefaultSchemaContext

java.lang.Object
ghidra.trace.model.target.schema.DefaultSchemaContext

All Implemented Interfaces:
  `SchemaContext`

Direct Known Subclasses:
  `PrimitiveTraceObjectSchema.MinimalSchemaContext`, `XmlSchemaContext`

public class DefaultSchemaContext extends Object implements SchemaContext
The default implementation of a schema context

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultSchemaContext()`
  `DefaultSchemaContext(SchemaContext ctx)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SchemaBuilder`
  `builder(TraceObjectSchema schema)`
  `SchemaBuilder`
  `builder(TraceObjectSchema.SchemaName name)`
  `boolean`
  `equals(Object obj)`
  `SequencedSet<TraceObjectSchema>`
  `getAllSchemas()`
  Collect all schemas in this context
  `TraceObjectSchema`
  `getSchema(TraceObjectSchema.SchemaName name)`
  Resolve a schema in this context by name
  `TraceObjectSchema`
  `getSchemaOrNull(TraceObjectSchema.SchemaName name)`
  Resolve a schema in this context by name
  `int`
  `hashCode()`
  `SchemaBuilder`
  `modify(TraceObjectSchema.SchemaName name)`
  `void`
  `putSchema(TraceObjectSchema schema)`
  `void`
  `replaceSchema(TraceObjectSchema schema)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefaultSchemaContext

    public DefaultSchemaContext()

  - ### DefaultSchemaContext

    public DefaultSchemaContext(SchemaContext ctx)

- ## Method Details

  - ### builder

    public SchemaBuilder builder(TraceObjectSchema schema)

  - ### builder

    public SchemaBuilder builder(TraceObjectSchema.SchemaName name)

  - ### modify

    public SchemaBuilder modify(TraceObjectSchema.SchemaName name)

  - ### putSchema

    public void putSchema(TraceObjectSchema schema)

  - ### replaceSchema

    public void replaceSchema(TraceObjectSchema schema)

  - ### getSchemaOrNull

    public TraceObjectSchema getSchemaOrNull(TraceObjectSchema.SchemaName name)
    Description copied from interface: `SchemaContext`
    Resolve a schema in this context by name
    Specified by:
      `getSchemaOrNull` in interface `SchemaContext`
    Parameters:
      `name` - the schema's name
    Returns:
      the schema, or null if no schema by the given name exists

  - ### getSchema

    public TraceObjectSchema getSchema(TraceObjectSchema.SchemaName name)
    Description copied from interface: `SchemaContext`
    Resolve a schema in this context by name

    Note that resolving a name generated outside of this context may have undefined results.

    Specified by:
      `getSchema` in interface `SchemaContext`
    Parameters:
      `name` - the schema's name
    Returns:
      the schema or `PrimitiveTraceObjectSchema.ANY` if no schema by the given name exists

  - ### getAllSchemas

    public SequencedSet<TraceObjectSchema> getAllSchemas()
    Description copied from interface: `SchemaContext`
    Collect all schemas in this context
    Specified by:
      `getAllSchemas` in interface `SchemaContext`
    Returns:
      the set of all schemas

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`